# TODO:
# - place somewhere info that distkernel support only 16bit splashes (thnx Tomasz Grobelny)
#
Summary:	Bootsplash - graphical boot process for Linux
Summary(de.UTF-8):	Bootsplash - graphischer System Start
Summary(pl.UTF-8):	Bootsplash - graficzny proces startu systemu dla Linuksa
Name:		bootsplash
Version:	3.2
Release:	7
License:	GPL v2
Group:		Applications/System
Source0:	http://www.bootsplash.de/files/splashutils/%{name}-%{version}.tar.bz2
# Source0-md5:	b74c104372fd182d0442b3ed63210e29
Source1:	%{name}.script
Source2:	%{name}-bootanim.script
Source3:	%{name}.sysconfig
Source4:	%{name}.init
Patch0:		%{name}-3.2_makefile_libmng.patch
URL:		http://www.bootsplash.org/
BuildRequires:	freetype-devel >= 2.1
BuildRequires:	libmng-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Suggests:	bootsplash-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir	/bin

%description
When you have a kernel with bootsplash capability you can use the
bootsplash and control its behaviour with this set of userspace
utilities.

%description -l de.UTF-8
Wenn du einen Kernel mit der bootsplash Option hast, kannst du diese
mit diesen Programmen steuern.

%description -l pl.UTF-8
Mając jądro z opcją bootsplash można uzyskać graficzny ekran podczas
startu systemu i sterować jego zachowaniem przy użyciu tego zbioru
narzędzi przestrzeni użytkownika.

%prep
%setup -q
%patch0 -p1
rm -f Utilities/splash.o

%build
%{__make} -C Utilities \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -Wall -I/usr/include/freetype2 -DDEFAULT_FONTNAME=\\\"%{_datadir}/%{name}/luxisri.ttf\\\"" \
	STRIP=true

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name},%{_sysconfdir}/bootsplash/themes} \
	 $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

install %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/splash
install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/bootanim
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/bootsplash
install %{SOURCE4} $RPM_BUILD_ROOT/etc/rc.d/init.d/bootsplash
install Scripts/* $RPM_BUILD_ROOT%{_datadir}/%{name}
install Utilities/splash $RPM_BUILD_ROOT%{_bindir}/splash.bin
install Utilities/{fbmngplay,fbresolution,fbtruetype} $RPM_BUILD_ROOT%{_bindir}
install Utilities/*.ttf $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add bootsplash

%preun
if [ "$1" = "0" ]; then
	%service bootsplash stop
	/sbin/chkconfig --del bootsplash
fi

%files
%defattr(644,root,root,755)
%doc {Documentation,Utilities}/README.*
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/bootsplash
%attr(754,root,root) /etc/rc.d/init.d/bootsplash
%{_datadir}/%{name}
%dir %{_sysconfdir}/bootsplash
%dir %{_sysconfdir}/bootsplash/themes
%changelog
* Fri Mar 20 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bootsplash.git;a=log;h=master

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 35e7c5b
- x32 rebuild
- release 7 (by relup.sh)

* Wed Feb 05 2014 Jan Rękorajski <baggins@pld-linux.org> 09a0ba8
- rebuild with libmng 2.0.2
- release 6 (by relup.sh)

* Sat Jan 08 2011 Elan Ruusamäe <glen@pld-linux.org> 75de7a3
- linux

* Sat Jan 08 2011 Elan Ruusamäe <glen@pld-linux.org> 527df9a
- make more sense with reminder

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 16fcc54
- release 5

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 032edde
- release 4

* Thu Dec 13 2007 shadzik <shadzik@pld-linux.org> 65b3df5
- proper theme name

* Thu Aug 30 2007 czarny <czarny@pld-linux.org> 08cf3e5
- all bootsplash themes provide bootsplash-theme
- main bootsplash package suggests bootsplash-theme

* Thu May 10 2007 shadzik <shadzik@pld-linux.org> b946e54
- rel 3 (rebuild with UTF-8)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 3876d33
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 42a0592
- converted to UTF-8

* Wed Aug 23 2006 havner <havner@pld-linux.org> bf1f485
- rel 2

* Wed Jul 12 2006 havner <havner@pld-linux.org> fd01194
- check $BOOT_SPLASH before running

* Sat Jul 08 2006 Elan Ruusamäe <glen@pld-linux.org> 0d1762f
- macros for %service

* Fri Jul 07 2006 havner <havner@pld-linux.org> 5486492
- leave subsys completely

* Fri Jul 07 2006 havner <havner@pld-linux.org> 5b548eb
- remove precompiled splash.o
- readable sysconfig file

* Fri Jul 07 2006 havner <havner@pld-linux.org> 1998894
- leave subsys, no deamon there, just console setting utility
  doesn't need to be stopped to restart it

* Fri Jul 07 2006 havner <havner@pld-linux.org> ee90112
- added chkconfig stuff (its off by default anyway, cause
  BOOT_SPLASH_CONSOLES in default sysconfig file is empty)

* Sun May 07 2006 Elan Ruusamäe <glen@pld-linux.org> 9f353ba
- correct (allow when %_sysconfdir != /etc)

* Fri May 05 2006 shadzik <shadzik@pld-linux.org> 90c5ca2
- readded for bootsplash-3.2

